Index: /extensions/Slide/js/slideshow.js
===================================================================
--- /extensions/Slide/js/slideshow.js	(revision 27401)
+++ /extensions/Slide/js/slideshow.js	(revision 27402)
@@ -79,56 +79,8 @@
 					$('ul',ele).append($('<li />').addClass('img-' + i).append($('<div />').addClass('contenerImg').width(options.width).height(cont_h).append(blockImg)));
 				
-					var $block = $('.img-'+ i ,ele);
-					_resizeSlideshowImag($block)	;
-
 				});
-
+				
+				_resizeSlideshowImag();
 	
-		//resize and center image_____________________________________________________________________________________________________
-				
-				function _resizeSlideshowImag ($block){
-
-					var $img		= $block.find('img'),
-						$descr		= $block.find('.descr'),
-						$img_w 		= $img.width(),
-						$img_h 		= $img.height(),
-						$img_r 		= $img_h/$img_w,
-						$box_h 		= cont_h,
-						$box_w 		= options.width,
-						$box_r 		= $box_h/$box_w,
-						$new_h,
-						$new_w;
-					
-					if(($img_h > $box_h) || ($img_w > $box_w)){
-						if($box_r < $img_r){
-							$new_h 	= $box_h - 30;
-							$new_w 	= $box_h / $img_r
-						}else{
-							$new_h 	= ($box_w * $img_r) - 30;
-							$new_w 	= $box_w
-						};
-
-					}else{
-						$new_h 	= $img_h;
-						$new_w	= $img_w;
-					};
-					var $left	= ($(ele).data('e').s_w / 2)-($new_w / 2) + 'px',
-						$top	= ($box_h / 2)-($new_h / 2) + 'px';
-						
-					$img.css({
-						width	: $new_w + 'px',
-						height	: $new_h + 'px',
-						left	: $left,
-						top		: $top,
-					});
-					$descr.css(
-						{
-						left	: $left,
-						width	: $new_w + 'px',
-						height	: $new_h/4,
-						bottom	: (($box_h / 2)-($new_h / 2)) + 'px',
-					})
-			//	})
-				};
 //slide_____________________________________________________________________________________________
 				if(options.styleSlideshow == 'Slide'){
@@ -323,4 +275,50 @@
 
 //___________________________________________Fonctions_____________________________________________________________________________________
+//resize and center image__________________________________________________________________________________________________________________
+				
+				function _resizeSlideshowImag (){
+					
+					$('ul img',ele).each(function(){
+						var $img		= $(this),
+							$descr		= $(this).prev(),
+							$img_w 		= $img.width(),
+							$img_h 		= $img.height(),
+							$img_r 		= $img_h/$img_w,
+							$box_h 		= cont_h,
+							$box_w 		= options.width,
+							$box_r 		= $box_h/$box_w,
+							$new_h,
+							$new_w;
+						if(($img_h > $box_h) || ($img_w > $box_w)){
+							if($box_r < $img_r){
+								$new_h 	= $box_h - 30;
+								$new_w 	= $box_h / $img_r
+							}else{
+								$new_h 	= ($box_w * $img_r) - 30;
+								$new_w 	= $box_w
+							};
+	
+						}else{
+							$new_h 	= $img_h;
+							$new_w	= $img_w;
+						};
+						var $left	= ($(ele).data('e').s_w / 2)-($new_w / 2) + 'px',
+							$top	= ($box_h / 2)-($new_h / 2) + 'px';
+							
+						$img.css({
+							width	: $new_w + 'px',
+							height	: $new_h + 'px',
+							left	: $left,
+							top		: $top,
+						});
+						$descr.css(
+							{
+							left	: $left,
+							width	: $new_w + 'px',
+							height	: $new_h/4,
+							bottom	: (($box_h / 2)-($new_h / 2)) + 'px',
+						})
+					})
+				};
 //animation________________________________________________________________________________________________________________________________			
 			function _rotate(ele) {	
Index: /extensions/Slide/template/picture.tpl
===================================================================
--- /extensions/Slide/template/picture.tpl	(revision 27401)
+++ /extensions/Slide/template/picture.tpl	(revision 27402)
@@ -1,5 +1,2 @@
-{* Example of resizeable
-{include file='include/autosize.inc.tpl'}
-*}
 
 {if isset($MENUBAR)}{$MENUBAR}{/if}
@@ -24,17 +21,18 @@
 
 {strip}<a id="derivativeSwitchLink" title="{'Photo sizes'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
-  <span class="pwg-icon pwg-icon-sizes">&nbsp;</span><span class="pwg-button-text">{'Photo sizes'|@translate}</span>
+  <span class="pwg-icon pwg-icon-sizes"></span><span class="pwg-button-text">{'Photo sizes'|@translate}</span>
 </a>
 <div id="derivativeSwitchBox" class="switchBox">
   <div class="switchBoxTitle">{'Photo sizes'|@translate}</div>
   {foreach from=$current.unique_derivatives item=derivative key=derivative_type}
-  <span class="switchCheck" id="derivativeChecked{$derivative_type}"{if $derivative->get_type() ne $current.selected_derivative->get_type()} style="visibility:hidden"{/if}>&#x2714; </span>
+  <span class="swit  <span class="switchCheck" id="derivativeChecked{$derivative_type}"{if $derivative->get_type() ne $current.selected_derivative->get_type()} style="visibility:hidden"{/if}>&#x2714; </span>
   <span href="" class="derivative" data-typesave="{$derivative_type}"  data-url="{$derivative->get_url()}" data-typemap="{$derivative->get_type()} " data-cookie="{$COOKIE_PATH}">{$derivative->get_type()|@translate}<span class="derivativeSizeDetails"> ({$derivative->get_size_hr()})</span>
+
   </span><br>
   {/foreach}
-  {if isset($U_ORIGINAL)}
+{if isset($U_ORIGINAL)}
     {combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
   <span class="original" href="" rel="nofollow" data-url="{$U_ORIGINAL}" data-winname="xxx" data-features="scrollbars=yes,toolbar=no,status=no,resizable=yes">{'Original'|@translate}</span>
-  {/if}
+{/if}
 </div>
 {/strip}
@@ -55,4 +53,5 @@
 	</a>
 {/if}{/strip}
+{if isset($PLUGIN_PICTURE_BUTTONS)}{foreach from=$PLUGIN_PICTURE_BUTTONS item=button}{$button}{/foreach}{/if}
 {if isset($PLUGIN_PICTURE_ACTIONS)}{$PLUGIN_PICTURE_ACTIONS}{/if}
 {strip}{if isset($favorite)}
Index: /extensions/Slide/template/picture_nav_buttons.tpl
===================================================================
--- /extensions/Slide/template/picture_nav_buttons.tpl	(revision 27401)
+++ /extensions/Slide/template/picture_nav_buttons.tpl	(revision 27402)
@@ -4,18 +4,18 @@
 {if isset($slideshow.U_INC_PERIOD)}
 	<a href="{$slideshow.U_INC_PERIOD}" title="{'Reduce diaporama speed'|@translate}" class="pwg-state-default pwg-button">
-		<span class="pwg-icon pwg-icon-clock-minus">&nbsp;</span><span class="pwg-button-text">{'Reduce diaporama speed'|@translate}</span>
+		<span class="pwg-icon pwg-icon-clock-minus"></span><span class="pwg-button-text">{'Reduce diaporama speed'|@translate}</span>
 	</a>
 {else}
 	<span class="pwg-state-disabled pwg-button">
-		<span class="pwg-icon pwg-icon-clock-minus">&nbsp;</span><span class="pwg-button-text">{'Reduce diaporama speed'|@translate}</span>
+		<span class="pwg-icon pwg-icon-clock-minus"></span><span class="pwg-button-text">{'Reduce diaporama speed'|@translate}</span>
 	</span>
 {/if}
 {if isset($slideshow.U_DEC_PERIOD)}
 	<a href="{$slideshow.U_DEC_PERIOD}" title="{'Accelerate diaporama speed'|@translate}" class="pwg-state-default pwg-button">
-		<span class="pwg-icon pwg-icon-clock-plus">&nbsp;</span><span class="pwg-button-text">{'Accelerate diaporama speed'|@translate}</span>
+		<span class="pwg-icon pwg-icon-clock-plus"></span><span class="pwg-button-text">{'Accelerate diaporama speed'|@translate}</span>
 	</a>
 {else}
 	<span class="pwg-state-disabled pwg-button">
-		<span class="pwg-icon pwg-icon-clock-plus">&nbsp;</span><span class="pwg-button-text">{'Accelerate diaporama speed'|@translate}</span>
+		<span class="pwg-icon pwg-icon-clock-plus"></span><span class="pwg-button-text">{'Accelerate diaporama speed'|@translate}</span>
 	</span>
 {/if}
@@ -23,52 +23,52 @@
 {if isset($slideshow.U_START_REPEAT)}
 	<a href="{$slideshow.U_START_REPEAT}" title="{'Repeat the slideshow'|@translate}" class="pwg-state-default pwg-button">
-		<span class="pwg-icon pwg-icon-repeat-play">&nbsp;</span><span class="pwg-button-text">{'Repeat the slideshow'|@translate}</span>
+		<span class="pwg-icon pwg-icon-repeat-play"></span><span class="pwg-button-text">{'Repeat the slideshow'|@translate}</span>
 	</a>
 {/if}
 {if isset($slideshow.U_STOP_REPEAT)}
 	<a href="{$slideshow.U_STOP_REPEAT}" title="{'Not repeat the slideshow'|@translate}" class="pwg-state-default pwg-button">
-		<span class="pwg-icon pwg-icon-repeat-stop">&nbsp;</span><span class="pwg-button-text">{'Not repeat the slideshow'|@translate}</span>
+		<span class="pwg-icon pwg-icon-repeat-stop"></span><span class="pwg-button-text">{'Not repeat the slideshow'|@translate}</span>
 	</a>
 {/if}
 {strip}{if isset($first)}
 	<a href="{$first.U_IMG}" title="{'First'|@translate} : {$first.TITLE}" class="pwg-state-default pwg-button slshFirst">
-		<span class="pwg-icon pwg-icon-arrowstop-w">&nbsp;</span><span class="pwg-button-text">{'First'|@translate}</span>
+		<span class="pwg-icon pwg-icon-arrowstop-w"></span><span class="pwg-button-text">{'First'|@translate}</span>
 	</a>
 {else}
 	<span class="pwg-state-disabled pwg-button">
-		<span class="pwg-icon pwg-icon-arrowstop-w">&nbsp;</span><span class="pwg-button-text">{'First'|@translate}</span>
+		<span class="pwg-icon pwg-icon-arrowstop-w"></span><span class="pwg-button-text">{'First'|@translate}</span>
 	</span>
 {/if}{/strip}
 {strip}{if isset($U_UP) and !isset($slideshow)}
 	<a href="{$U_UP}" title="{'Thumbnails'|@translate}" class="pwg-state-default pwg-button">
-		<span class="pwg-icon pwg-icon-arrow-n">&nbsp;</span><span class="pwg-button-text">{'Thumbnails'|@translate}</span>
+		<span class="pwg-icon pwg-icon-arrow-n"></span><span class="pwg-button-text">{'Thumbnails'|@translate}</span>
 	</a>
 {/if}{/strip}
 {strip}{if isset($previous)}
-	<a href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE|@escape}" class="pwg-state-default pwg-button">
-		<span class="pwg-icon pwg-icon-arrow-w">&nbsp;</span><span class="pwg-button-text">{'Previous'|@translate}</span>
+	<a href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE_ESC}" class="pwg-state-default pwg-button">
+		<span class="pwg-icon pwg-icon-arrow-w"></span><span class="pwg-button-text">{'Previous'|@translate}</span>
 	</a>
 {else}
 	<span class="pwg-state-disabled pwg-button">
-		<span class="pwg-icon pwg-icon-arrow-w">&nbsp;</span><span class="pwg-button-text">{'Previous'|@translate}</span>
+		<span class="pwg-icon pwg-icon-arrow-w"></span><span class="pwg-button-text">{'Previous'|@translate}</span>
 	</span>
 {/if}{/strip}
 {if isset($slideshow.U_START_PLAY)}
 	<a href="{$slideshow.U_START_PLAY}" title="{'Play of slideshow'|@translate}" class="pwg-state-default pwg-button">
-		<span class="pwg-icon pwg-icon-play">&nbsp;</span><span class="pwg-button-text">{'Play of slideshow'|@translate}</span>
+		<span class="pwg-icon pwg-icon-play"></span><span class="pwg-button-text">{'Play of slideshow'|@translate}</span>
 	</a>
 {/if}
 {if isset($slideshow.U_STOP_PLAY)}
 	<a href="{$slideshow.U_STOP_PLAY}" title="{'Pause of slideshow'|@translate}" class="pwg-state-default pwg-button">
-		<span class="pwg-icon pwg-icon-pause">&nbsp;</span><span class="pwg-button-text">{'Pause of slideshow'|@translate}</span>
+		<span class="pwg-icon pwg-icon-pause"></span><span class="pwg-button-text">{'Pause of slideshow'|@translate}</span>
 	</a>
 {/if}
 {strip}{if isset($next)}
 	<a href="{$next.U_IMG}" title="{'Next'|@translate} : {$next.TITLE|@escape}" class="pwg-state-default pwg-button pwg-button-icon-right">
-		<span class="pwg-icon pwg-icon-arrow-e">&nbsp;</span><span class="pwg-button-text">{'Next'|@translate}</span>
+		<span class="pwg-icon pwg-icon-arrow-e"></span><span class="pwg-button-text">{'Next'|@translate}</span>
 	</a>
 {else}
 	<span class="pwg-state-disabled pwg-button pwg-button-icon-right">
-		<span class="pwg-icon pwg-icon-arrow-e">&nbsp;</span><span class="pwg-button-text">{'Next'|@translate}</span>
+		<span class="pwg-icon pwg-icon-arrow-e"></span><span class="pwg-button-text">{'Next'|@translate}</span>
 	</span>
 {/if}{/strip}
@@ -79,5 +79,5 @@
 {else}
 	<span class="pwg-state-disabled pwg-button pwg-button-icon-right">
-		<span class="pwg-icon pwg-icon-arrowstop-e">&nbsp;</span><span class="pwg-button-text">{'Last'|@translate}</span>
+		<span class="pwg-icon pwg-icon-arrowstop-e"></span><span class="pwg-button-text">{'Last'|@translate}</span>
 	</span>
 {/if}{/strip}-->*}
Index: /extensions/Slide/theme.css
===================================================================
--- /extensions/Slide/theme.css	(revision 27401)
+++ /extensions/Slide/theme.css	(revision 27402)
@@ -182,5 +182,5 @@
 }
 
-.dd_wrapper, .cl_wrapper, .cc_wrapper, #menubar dt, #menubar dt a {
+.dd_wrapper, .cl_wrapper, .cc_wrapper, #menubar dt {
     float:                      left;
     padding:                    3px 16px 6px;
@@ -190,4 +190,7 @@
     text-decoration:            none;
     font-size:                  16px;
+}
+#menubar dt a{
+	color:						#B3B3B3;
 }
 .activate{