Index: /extensions/UserAdvManager/branches/2.6/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.6/changelog.txt.php	(revision 27540)
+++ /extensions/UserAdvManager/branches/2.6/changelog.txt.php	(revision 27541)
@@ -489,4 +489,11 @@
            Update de_DE, thanks to : Joergen
            Update es_ES, thanks to : jpr928
+
+-- 2.6.2 : Update da_DK, thanks to : Kaare
+           Update ru_RU, thanks to : Konve
+           Update sk_SK, thanks to : JoeKundlak
+           Update pt_PT, thanks to : ANO
+           Update pt_BR, thanks to : flaviove
+
 */
 ?>
Index: /extensions/UserAdvManager/branches/2.6/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.6/language/da_DK/plugin.lang.php	(revision 27540)
+++ /extensions/UserAdvManager/branches/2.6/language/da_DK/plugin.lang.php	(revision 27541)
@@ -302,3 +302,5 @@
 $lang['UAM_AddURL2Mail'] = 'Tilføj galleriets URL i slutningen af mails (som en signatur)';
 $lang['UAM_Follow this link to access the gallery'] = 'Følg dette link for at tilgå galleriet';
+$lang['UAM_Select page number'] = 'Vælg sidenummer';
+$lang['UAM_Select page size'] = 'Vælg sidestørrelse';
 ?>
Index: /extensions/UserAdvManager/branches/2.6/language/pt_BR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.6/language/pt_BR/help.lang.php	(revision 27540)
+++ /extensions/UserAdvManager/branches/2.6/language/pt_BR/help.lang.php	(revision 27541)
@@ -95,3 +95,33 @@
 Consulte <b>Dicas e Exemplos de Uso</b> na parte inferior desta página para mais detalhes.';
 $lang['UAM_HidePasswTitle_d'] = 'Escolha esta opção se você deseja exibir a senha escolhida pelo visitante no e-mail informações. Se você ativar a opção, a senha irá aparecer em texto claro. Se você desativar a senha não vai aparecer.';
+$lang['UAM_CustomPasswRetrTitle_d'] = 'Por padrão, quando um usuário perdeu a senha e seleciona a opção de recuperação, ele recebe um e-mail contendo apenas o seu nome de usuário e sua senha nova. 
+<br/><br/>
+Aqui, você pode adicionar texto de sua escolha para ser inserido <b><u>antes</u></b>a informação padrão. 
+<br/><br/>
+Personalize mais o conteúdo com etiquetas especiais inseridas:<br/> 
+-.<b style="color: red;"> [mygallery] </ b> para inserir o título de sua galeria <br/> 
+- <b style="color: red;"> [myurl] </ b> para inserir sua galeria de URL se configurado nas opções de configuração do Piwigo. 
+<br/><br/>
+Para usar vários idiomas, você pode usar as etiquetas do plugin de descrição Estendida se ele estiver ativo.';
+$lang['UAM_ConfirmMail_Subject_d'] = 'Digite aqui o assunto de seu e-mail de confirmação de registo personalizado. <br/> 
+Por padrão, o campo tem um texto genérico em Inglês, mas você pode mudá-lo e usar as etiquetas de tradução [lang =?] Da Descrição Extendida do plugin se instalado. 
+<br/> 
+As seguintes personalizações de etiquetas adicionais estão disponíveis sem o uso do plugin de Descrição Estendida: <br/> 
+- <b Style="color: red;"> [username] </b> para inserir automaticamente o nome do usuário de destino do e-mail <br/>. 
+-. <b Style="color: red;"> [mygallery] </b> para inserir o título de sua galeria <br/>';
+$lang['UAM_ConfirmMail_ReMail_Subject_d'] = 'Digite aqui o assunto do seu lembrete de confirmação de inscrição personalizado do email (com ou sem nova geração de chaves).<br/>
+Por padrão, o campo tem um texto genérico em Inglês, mas você pode mudá-lo e usar as etiquetas de tradução [lang =?] Da Descrição Extendida do plugin se instalado.
+<br/><br/>
+As seguintes etiquetas de personalizações adicionais estão disponíveis sem o uso do plugin de Descrição Extendida:<br/>
+- <b style=&quot;color: red;&quot;>[username]</b>para inserir automaticamente o nome do usuário de destino do e-mail. <br/>
+- <b style=&quot;color: red;&quot;>[mygallery]</b>para inserir o título de sua galeria. <br/>';
+$lang['UAM_DumpTitle_d'] = 'Isso permite que você salve toda a configuração do plug-in em um arquivo para que você possa restaurá-lo se algo der errado ( manipulação errada ou antes de uma atualização , por exemplo) . Por padrão, o arquivo é armazenado nesta pasta .. /plugins/UserAdvManager/include/backup/ e é chamado de " UAM_dbbackup.sql " .
+<br/><br/>
+<b style="color: red;"> Aviso : O arquivo é substituído a cada ação de backup! </b>
+<br/><br/>
+Às vezes pode ser útil para recuperar o arquivo de backup em seu computador. Por exemplo : para restaurar a outro banco de dados, para terceirizar ou manter múltiplos arquivos salvos . Para fazer isso, marque a caixa para baixar o arquivo .
+<br/><br/>
+A recuperação a partir desta interface está disponível apenas para o arquivo de backup local ( .. / Plugins / UserAdvManager / include / backup / UAM_dbbackup.sql ) . Arquivo de backup baixado não pode ser restaurado por este caminho. Para fazer isso, por favor, use a ferramenta de gerenciamento de banco de dados dedicado (como o phpMyAdmin para banco de dados MySql ) .
+<br/><br/>
+<b style="color: red;"> Atenção : Após a restauração , é necessário recarregar a página de administração do plugin para ver as configurações restauradas </b>';
 ?>
Index: /extensions/UserAdvManager/branches/2.6/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.6/language/pt_PT/plugin.lang.php	(revision 27540)
+++ /extensions/UserAdvManager/branches/2.6/language/pt_PT/plugin.lang.php	(revision 27541)
@@ -305,3 +305,5 @@
 $lang['UAM_Validated_Group'] = 'Grupo para utilizadores que confirmaram o seu registo<br>';
 $lang['UAM_Follow this link to access the gallery'] = 'Por favor, siga este link para acessar a galeria';
+$lang['UAM_Select page number'] = 'Selecionar o número da página';
+$lang['UAM_Select page size'] = 'Selecionar o tamanho da página';
 ?>
Index: /extensions/UserAdvManager/branches/2.6/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.6/language/ru_RU/plugin.lang.php	(revision 27540)
+++ /extensions/UserAdvManager/branches/2.6/language/ru_RU/plugin.lang.php	(revision 27541)
@@ -301,3 +301,5 @@
 $lang['UAM_AddURL2Mail'] = 'Добавить URL галереи в конец электронного письма (в качестве подписи)';
 $lang['UAM_Follow this link to access the gallery'] = 'Пожалуйста, перейдите по этой ссылке для входа в галерею';
+$lang['UAM_Select page size'] = 'Выбор размера страницы';
+$lang['UAM_Select page number'] = 'Выбор номера страницы';
 ?>
Index: /extensions/UserAdvManager/branches/2.6/language/sk_SK/description.txt
===================================================================
--- /extensions/UserAdvManager/branches/2.6/language/sk_SK/description.txt	(revision 27541)
+++ /extensions/UserAdvManager/branches/2.6/language/sk_SK/description.txt	(revision 27541)
@@ -0,0 +1,1 @@
+Zlepšuje možnosti spravovania užívateľov
Index: /extensions/UserAdvManager/branches/2.6/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.6/language/sk_SK/plugin.lang.php	(revision 27540)
+++ /extensions/UserAdvManager/branches/2.6/language/sk_SK/plugin.lang.php	(revision 27541)
@@ -114,3 +114,50 @@
 $lang['UAM_RejectConnexion'] = 'Odmietnuť užívateľove pripojenie pokiaľ nebude potvrdená registrácia';
 $lang['UAM_Username_Char'] = 'Užívateľské mená: Vynechané znaky';
+$lang['UAM_Err_audit_email_forbidden'] = '<b>Tento účet používa nepovoleného poskytovateľa emailových služieb:</b>';
+$lang['UAM_Err_audit_username_char'] = '<b>Tento účet používa jeden alebo viac nepovolených znakov:</b>';
+$lang['UAM_Default_RejectConnexion_Txt'] = 'Ľutujeme, Vaša registrácia ešte nie je potvrdená, takže sa nateraz nemôžete pripojiť na galériu.';
+$lang['UAM_Dump_Download'] = 'Pre stiahnutie záložného súboru zaškrtnite toto políčko:';
+$lang['UAM_Dump_NOK'] = 'Chyba: Nie je možné vytvoriť záložný súbor!';
+$lang['UAM_Dump_OK'] = 'Záložný súbor bol úspešne vytvorený';
+$lang['UAM_CustomPasswRetr'] = 'Upraviť obsah emailu pri strate hesla';
+$lang['UAM_Customize_messagesandmails'] = 'Upraviť správy a emaily';
+$lang['UAM_Default_AdminValidationMail_Subject'] = '[username] - Registrácia potvrdená na [mygallery]';
+$lang['UAM_Default_AdminValidation_Txt'] = 'Vitajte, [username]! Ďakujeme za registráciu a vítame Vás v [mygallery].
+
+Váš účet bol manuálne potvrdený webmasterom [mygallery]. Môžete sa prihlásiť cez [myurl] a upraviť si svoj profil.';
+$lang['UAM_Default_CfmMail_Custom_Txt1'] = 'Účet [username] bol úspešne vytvorený!';
+$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Nesprávny / vypršaný aktivačný kľúč, alebo už potvrdený účet.';
+$lang['UAM_Default_ConfirmMail_Remail_Subject'] = 'Pripomienka - potvrdenie registrácie pre [username] na [mygallery]';
+$lang['UAM_Default_ConfirmMail_Subject'] = 'Potvrdenie registrácie pre [username] na [mygallery]';
+$lang['UAM_Default_GTAutoMail_Subject'] = '[username] - Váš účet na [mygallery] bol znížený';
+$lang['UAM_Default_GTReminder_Subject'] = '
+[username] - Od Vašej poslednej návštevy na [mygallery] uplynul dlhší čas';
+$lang['UAM_Default_InfoMail_Subject'] = '[username] - Vaše registračné informácie na [mygallery]';
+$lang['UAM_%d_Mail_With_Key'] = 'Počet poslaných správ s obnoveným kľúčom: %d';
+$lang['UAM_%d_Mails_With_Key'] = 'Počet poslaných správ s obnoveným kľúčom: %d';
+$lang['UAM_%d_Reminder_Sent'] = 'Počet poslaných pripomienkových správ: %d';
+$lang['UAM_%d_Reminders_Sent'] = 'Počet poslaných pripomienkových správ: %d';
+$lang['UAM_%d_Validated_User'] = 'Počet užívateľov potvrdených manuálne: %d';
+$lang['UAM_%d_Validated_Users'] = 'Počet užívateľov potvrdených manuálne: %d';
+$lang['UAM_AddURL2Mail'] = 'Pridať URL gelérie na koniec emailových správ (ako podpis)';
+$lang['UAM_AdminConfMail'] = 'Potvrdenie registrácie pre adminov';
+$lang['UAM_AdminValidationMail_Subject'] = 'Upraviť hlavičku emailu manuálneho potvrdenia';
+$lang['UAM_Bad_version_backup'] = 'Verzia záložného súboru nesúhlasí s verziou zásuvného modulu! Obnovenie nebolo vykonané.';
+$lang['UAM_AdminValidationMail_Text'] = 'Oznámenie manuálneho potvrdenia registrácie';
+$lang['UAM_Change'] = 'Zmeniť skupinu/stav/úroveň súkromia potvrdených užívateľov';
+$lang['UAM_Confirm_Level'] = 'Úroveň súkromia <br/>(ponechajte ------- pre predvolenú úroveň Piwigo)';
+$lang['UAM_Confirm_Mail'] = 'Potvrdenie registrácie:';
+$lang['UAM_Confirm_Mail_local'] = 'Povoliť - potvrdenie adminom';
+$lang['UAM_Confirm_Mail_true'] = 'Povoliť - potvrdenie používateľom';
+$lang['UAM_ConfirmMail_ReMail_Subject'] = 'Upraviť hlavičku emailu o pripomenutí potvrdenia registrácie';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Úprava pripomienkovej správy <b><u>so</u></b> znovuvytvorením potvrdzovacieho kľúča.';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Úprava pripomienkovej správy <b><u>bez</u></b> znovuvytvorenia potvrdzovacieho kľúča.';
+$lang['UAM_ConfirmMail_Remail'] = 'Pripomienka nepotvrdeným užívateľom';
+$lang['UAM_ConfirmMail_Subject'] = 'Upraviť hlavičku emailu o potvrdení registrácie';
+$lang['UAM_ConfirmMail_Text'] = 'Úprava potvrdzovacieho emailu:';
+$lang['UAM_Confirm_Group'] = 'Skupiny<br/>(ponechajte ------- pre neovplyvnenie skupiny)';
+$lang['UAM_ConfirmMail_TimeOut_true'] = 'Aktivovať. Počet dní do vypršania:';
+$lang['UAM_Error_Using_illegal_Kdays'] = 'Použitie tagu [Kdays] je povolené, iba ak je aktívny obmedzený konečný termín pre potvrdenie registrácie. Pre opravu problému konzultujte textové pole v červenom.';
+$lang['UAM_Expired_Group'] = '<b>Skupina</b> pre užívateľovu registráciu vypršala<br/>';
+$lang['UAM_Expired_Level'] = '<b>Úroveň zabezpečenia</b> pre užívateľovu registráciu vypršala<br/>';
 ?>