Index: /trunk/language/he_IL/admin.lang.php
===================================================================
--- /trunk/language/he_IL/admin.lang.php	(revision 27605)
+++ /trunk/language/he_IL/admin.lang.php	(revision 27606)
@@ -188,5 +188,4 @@
 $lang['Default display'] = 'תצוגת ברירת המחדל';
 $lang['The gallery URL is not valid.'] = 'ה-URL בגלריה אינו חוקי.';
-$lang['Main'] = 'ראשי';
 $lang['The number of comments a page must be between 5 and 50 included.'] = 'מספר הערות בדף חייב להיות בין 5 ל 50 כולל.';
 $lang['Configuration'] = 'תצורה';
@@ -224,5 +223,4 @@
 $lang['To send ?'] = 'כדי לשלוח?';
 $lang['Last send'] = 'לאחרונה שלחה';
-$lang['Email'] = 'דואר אלקטרוני';
 $lang['User'] = 'משתמש';
 $lang['See you soon,'] = 'נתראה בקרוב';
@@ -477,5 +475,4 @@
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'האם אתה בטוח שאתה רוצה להתקין את השדרוג, עליך לוודא אם הגרסה הזאת לא צריך ההסרה לפני?.';
 $lang['Plugin has been successfully copied'] = 'תוסף הועתקה בהצלחה';
-$lang['You might go to plugin list to install and activate it.'] = 'עבור אל רשימת התוספים להתקין ולהפעיל אותו.';
 $lang["Can't create temporary file."] = 'קובץ זמני אינו יכול להיווצר.';
 $lang["Can't download archive."] = 'ארכיון לא ניתן להוריד.';
@@ -926,3 +923,56 @@
 $lang['Notify administrators when a comment is'] = 'עדכן מנהלים כאשר נכתבת תגובה';
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo לא יכולה להוציא את קבצי העדכון מהשרת';
+$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'הגדרת  <i>$conf[\'order_by\']</i>  בקובץ ההגדרות המקומי. הפרמטר הזה פגום. אנא הסר אותו או שנה את שמו ל-   <i>$conf[\'order_by_custom\']</i> !';
+$lang['This group will be set to default'] = 'יעשה שימוש בקבוצה זו כברירת מחדל';
+$lang['This group will be unset to default'] = 'קבוצה זו לא תשמש יותר כברירת מחדל';
+$lang['Type here the name of the new group'] = 'הקלד את שם הקבוצה החדשה כאן';
+$lang['Update user'] = 'עדכן משתמש';
+$lang['User %s added'] = 'משתמש  %s  נוסף';
+$lang['User %s updated'] = 'משתמש  %s  עודכן';
+$lang['on the %d selected users'] = 'על  %d  משתמשים נבחרו';
+$lang['The original maximum height must be a number between %d and %d'] = 'הגובה המקסימאלי המקורי צריך להיות מספר בין  %d   ו-  %d ';
+$lang['The original maximum width must be a number between %d and %d'] = 'הרוחב המקסימאלי המקורי צריך להיות מספר בין  %d   ו-  %d ';
+$lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'מימדי התמונה יוקטנו ל-   %dx%d   פיקסלים';
+$lang['The center of interest is the most meaningful zone in the photo.'] = 'מרכז העניין הוא האזור המשמעותי ביותר של התמונה ';
+$lang['The original image quality must be a number between %d and %d'] = 'האיכות המקורית של התמונה צריכה להיות מספר בין  %d  ו- %d ';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'פלאגין הפרסום של Piwigo מאפשר לייצא ולבצע סינכרון של תמונות מתוך אדובי לייטרום ישירות לגלריית התמונות של Piwigo';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'פלאגין היצוא של Piwigo מאפשר ליצור אלבומים ולייצא תמונות';
+$lang['Users modified'] = 'משתמשים עודכנו';
+$lang['close'] = 'סגור';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'התוית  "%s" היא כעת שכפול של  "%s"';
+$lang['Showing %s to %s of %s users'] = 'מציג %s עד %s מתוך %s משתמשים';
+$lang['Show %s users'] = 'הצג %s משתמשים';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell הוא מנהל תמונות קוד פתוח שרץ על לינוקס. הוא ברירת המחדל של מנהל התמונות ב- Ubuntu וב- Fedora';
+$lang['Select at least one tag'] = 'בחר לפחות תוית אחת';
+$lang['Resize after upload disabled due to the use of GD as graphic library'] = 'שינוי גודל אחרי העלאת תמונה נוטרל עקב שימוש ב- GD כספריית גרפיקה';
+$lang['Registered on %s, %s.'] = 'נרשם ב-  %s, %s';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery client for Android) זהו קליינט קוד פתוח  (GPL v3) של Piwigo עבור פלטפורמת אנדרואיד';
+$lang['Purge user cache'] = 'נקה את ה- cache של המשתמש';
+$lang['Please select at least two groups'] = 'אנא בחר לפחות שתי קבוצות';
+$lang['Password updated'] = 'ססמה עודכנה';
+$lang['Open user details'] = 'פתח פרטי משתמש';
+$lang['Numeric identifier : %d'] = 'מזהה מספרי:  %d';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'במערכת הלינוקס שלך, פשוט התקן Shotwell עם מנהל החבילות ואז את הפעל את אפשרות הפרסום של Piwigo.';
+$lang['No user selected of %d users'] = 'לא נבחר משתמש מתוך %d משתמשים';
+$lang['No user selected, no action possible.'] = 'לא נבחר משתמש, אין אפשרות לבצע פעולה.';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em> אפליקציית Piwigo עבור אנדרואיד</em>  מאפשרת לך להתחבר מטלפון האנדרואיד או הטאבלט שלך לגלריית Piwigo, ליצור אלבומים ולהעלות מספר תמונות בו זמנית ';
+$lang['Last visit on %s, %s.'] = 'ביקור אחרון ב- %s, %s.';
+$lang['Mail theme'] = 'נושא מייל';
+$lang['No matching user found'] = 'לא נמצאו משתמשים מתאימים';
+$lang['Loading...'] = 'טוען...';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'אם אין גודל HD ואם הגודל הנוכחי גדול ממימדי השינוי, Piwigo יזיז זאת כ-HD ויצור תמונה מוקטנת ';
+$lang['General'] = 'כללי';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = 'עבור גדלי תמונה עם חיתוך, כמו "ריבוע", Piwigo יעשה כמידת יכולתו לכלול את מרכז העניין';
+$lang['Features include gallery browsing, album creation and photo upload.'] = 'התכונות כוללות עיון בגלרייה, יצירת אלבום והעלאת תמונה';
+$lang['Close user details'] = 'סגור פרטי משתמש';
+$lang['Change username'] = 'שנה שם משתמש';
+$lang['Change password'] = 'שנה ססמה';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'כברירת מחדל, מרכז העניין ממוקם במרכז התמונה';
+$lang['Basic settings'] = 'הגדרות בסיסיות';
+$lang['All %d users are selected'] = 'כל  %d המשתמשים נבחרו';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'אדובי פוטושופ לייטרום היא תכנת עיבוד צילום המתוכננת לנהל כמויות גדולות של צילומים ולבצע עבודת עיבוד ';
+$lang['Activate it now'] = 'הפעל כעת';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em> אפליקציית Piwigo עבור iOS</em>  מאפשרת לך להתחבר ממכשירי iPhone, iPad או Ipod Touch שלך לגלריית Piwigo, ליצור אלבומים ולהעלות מספר תמונות בו זמנית ';
+$lang['(filtered from %s total users)'] = 'מסונן מתוך  %s סך הכל משתמשים';
+$lang['%d of %d users selected'] = '%d מתוך %d מתשמשים נבחרו';
 ?>