Index: /extensions/ThumbnailTooltip/admin/admin.php
===================================================================
--- /extensions/ThumbnailTooltip/admin/admin.php	(revision 27644)
+++ /extensions/ThumbnailTooltip/admin/admin.php	(revision 27644)
@@ -0,0 +1,65 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $template, $conf;
+
+// Chargement des parametres
+load_language('plugin.lang', thumbnail_tooltip_PATH);
+include(dirname(__FILE__).'/config_default.inc.php');
+$params = array_merge($config_default, unserialize($conf['thumbnail_tooltip']));
+
+// Mise a jour de la base de donnee
+if (isset($_POST['submit']))
+{
+  $params  = array(
+    'display_name'      => $_POST['display_name'] ? true : false,
+    'value1'          	=> $_POST['value1'],
+    'value2'          	=> $_POST['value2'],
+    'value3'          	=> $_POST['value3'],
+    'value4'         	=> $_POST['value4'],
+    'value5'         	=> $_POST['value5'],
+    'value6'         	=> $_POST['value6'],
+    'separator'         => $_POST['separator'],
+  );
+
+  $query = '
+  UPDATE ' . CONFIG_TABLE . '
+  SET value="' . addslashes(serialize($params)) . '"
+  WHERE param="thumbnail_tooltip"
+  LIMIT 1';
+  pwg_query($query);
+  array_push($page['infos'], l10n('tn_configuration_saved'));
+}
+
+
+// Restaurer les paramètres par défaut
+if (isset($_POST['restore']))
+{
+  $params  = $config_default;
+
+  $query = '
+  UPDATE ' . CONFIG_TABLE . '
+  SET value="' . addslashes(serialize($params)) . '"
+  WHERE param="thumbnail_tooltip"
+  LIMIT 1';
+  pwg_query($query);
+  array_push($page['infos'], l10n('tn_default_parameters_saved'));
+}
+
+
+// Configuration du template
+$template->assign(array(
+  'DISPLAY_NAME'         => $params['display_name'],
+  'VALUE1'           	 => $params['value1'],
+  'VALUE2'           	 => $params['value2'],
+  'VALUE3'          	 => $params['value3'],
+  'VALUE4'           	 => $params['value4'],
+  'VALUE5'           	 => $params['value5'],
+  'VALUE6'           	 => $params['value6'],
+  'SEPARATOR'         	 => $params['separator'],
+));
+
+
+$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl'));
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+?>
Index: /extensions/ThumbnailTooltip/admin/admin.tpl
===================================================================
--- /extensions/ThumbnailTooltip/admin/admin.tpl	(revision 27644)
+++ /extensions/ThumbnailTooltip/admin/admin.tpl	(revision 27644)
@@ -0,0 +1,108 @@
+<div class="titrePage">
+<h2>Thumbnail Tooltip</h2>
+</div>
+
+<form action="" method="post">
+
+<fieldset>
+<legend>{'tn_display'|@translate}</legend>
+<table>
+  <tr>
+    <td align="right" nowrap="nowrap">{'tn_display_name'|@translate} : &nbsp;&nbsp;</td>
+    <td><input type="radio" name="display_name" value="1" {if $DISPLAY_NAME}checked="checked"{/if} onClick="javascript: jQuery('.name_link').show();"> {'tn_yes'|@translate} &nbsp;
+        <input type="radio" name="display_name" value="0" {if !$DISPLAY_NAME}checked="checked"{/if} onClick="javascript: jQuery('.name_link').hide();"> {'tn_no'|@translate}
+    </td>
+  </tr>
+  
+  <tr><td>&nbsp;</td></tr>
+
+  <tr class="name_link">
+    <td align="right" nowrap="nowrap">{'tn_name_link'|@translate} : &nbsp;&nbsp;</td>
+    <td><select name="value1" style="widht:30px">
+          <option label="{'tn_type1'|@translate}" value="tn_type1" {if $VALUE1 == 'tn_type1'}selected="selected"{/if}>{'tn_type1'|@translate}</option>
+          <option label="{'tn_type2'|@translate}" value="tn_type2" {if $VALUE1 == 'tn_type2'}selected="selected"{/if}>{'tn_type2'|@translate}</option>
+          <option label="{'tn_type3'|@translate}" value="tn_type3" {if $VALUE1 == 'tn_type3'}selected="selected"{/if}>{'tn_type3'|@translate}</option>
+          <option label="{'tn_type4'|@translate}" value="tn_type4" {if $VALUE1 == 'tn_type4'}selected="selected"{/if}>{'tn_type4'|@translate}</option>
+          <option label="{'tn_type5'|@translate}" value="tn_type5" {if $VALUE1 == 'tn_type5'}selected="selected"{/if}>{'tn_type5'|@translate}</option>
+          <option label="{'tn_type6'|@translate}" value="tn_type6" {if $VALUE1 == 'tn_type6'}selected="selected"{/if}>{'tn_type6'|@translate}</option>
+          <option label="{'tn_type7'|@translate}" value="tn_type7" {if $VALUE1 == 'tn_type7'}selected="selected"{/if}>{'tn_type7'|@translate}</option>
+          <option label="{'tn_type8'|@translate}" value="tn_type8" {if $VALUE1 == 'tn_type8'}selected="selected"{/if}>{'tn_type8'|@translate}</option>
+        </select>
+		<select name="value2" style="widht:30px">
+          <option label="{'tn_none'|@translate}" value="none" {if $VALUE2 == 'tn_none'}selected="selected"{/if}>{'tn_none'|@translate}</option>
+          <option label="{'tn_type1'|@translate}" value="tn_type1" {if $VALUE2 == 'tn_type1'}selected="selected"{/if}>{'tn_type1'|@translate}</option>
+          <option label="{'tn_type2'|@translate}" value="tn_type2" {if $VALUE2 == 'tn_type2'}selected="selected"{/if}>{'tn_type2'|@translate}</option>
+          <option label="{'tn_type3'|@translate}" value="tn_type3" {if $VALUE2 == 'tn_type3'}selected="selected"{/if}>{'tn_type3'|@translate}</option>
+          <option label="{'tn_type4'|@translate}" value="tn_type4" {if $VALUE2 == 'tn_type4'}selected="selected"{/if}>{'tn_type4'|@translate}</option>
+          <option label="{'tn_type5'|@translate}" value="tn_type5" {if $VALUE2 == 'tn_type5'}selected="selected"{/if}>{'tn_type5'|@translate}</option>
+          <option label="{'tn_type6'|@translate}" value="tn_type6" {if $VALUE2 == 'tn_type6'}selected="selected"{/if}>{'tn_type6'|@translate}</option>
+          <option label="{'tn_type7'|@translate}" value="tn_type7" {if $VALUE2 == 'tn_type7'}selected="selected"{/if}>{'tn_type7'|@translate}</option>
+          <option label="{'tn_type8'|@translate}" value="tn_type8" {if $VALUE2 == 'tn_type8'}selected="selected"{/if}>{'tn_type8'|@translate}</option>
+        </select>
+		<select name="value3" style="widht:30px">
+          <option label="{'tn_none'|@translate}" value="none" {if $VALUE3 == 'tn_none'}selected="selected"{/if}>{'tn_none'|@translate}</option>
+          <option label="{'tn_type1'|@translate}" value="tn_type1" {if $VALUE3 == 'tn_type1'}selected="selected"{/if}>{'tn_type1'|@translate}</option>
+          <option label="{'tn_type2'|@translate}" value="tn_type2" {if $VALUE3 == 'tn_type2'}selected="selected"{/if}>{'tn_type2'|@translate}</option>
+          <option label="{'tn_type3'|@translate}" value="tn_type3" {if $VALUE3 == 'tn_type3'}selected="selected"{/if}>{'tn_type3'|@translate}</option>
+          <option label="{'tn_type4'|@translate}" value="tn_type4" {if $VALUE3 == 'tn_type4'}selected="selected"{/if}>{'tn_type4'|@translate}</option>
+          <option label="{'tn_type5'|@translate}" value="tn_type5" {if $VALUE3 == 'tn_type5'}selected="selected"{/if}>{'tn_type5'|@translate}</option>
+          <option label="{'tn_type6'|@translate}" value="tn_type6" {if $VALUE3 == 'tn_type6'}selected="selected"{/if}>{'tn_type6'|@translate}</option>
+          <option label="{'tn_type7'|@translate}" value="tn_type7" {if $VALUE3 == 'tn_type7'}selected="selected"{/if}>{'tn_type7'|@translate}</option>
+          <option label="{'tn_type8'|@translate}" value="tn_type8" {if $VALUE3 == 'tn_type8'}selected="selected"{/if}>{'tn_type8'|@translate}</option>
+        </select>
+		<select name="value4" style="widht:30px">
+          <option label="{'tn_none'|@translate}" value="none" {if $VALUE4 == 'tn_none'}selected="selected"{/if}>{'tn_none'|@translate}</option>
+          <option label="{'tn_type1'|@translate}" value="tn_type1" {if $VALUE4 == 'tn_type1'}selected="selected"{/if}>{'tn_type1'|@translate}</option>
+          <option label="{'tn_type2'|@translate}" value="tn_type2" {if $VALUE4 == 'tn_type2'}selected="selected"{/if}>{'tn_type2'|@translate}</option>
+          <option label="{'tn_type3'|@translate}" value="tn_type3" {if $VALUE4 == 'tn_type3'}selected="selected"{/if}>{'tn_type3'|@translate}</option>
+          <option label="{'tn_type4'|@translate}" value="tn_type4" {if $VALUE4 == 'tn_type4'}selected="selected"{/if}>{'tn_type4'|@translate}</option>
+          <option label="{'tn_type5'|@translate}" value="tn_type5" {if $VALUE4 == 'tn_type5'}selected="selected"{/if}>{'tn_type5'|@translate}</option>
+          <option label="{'tn_type6'|@translate}" value="tn_type6" {if $VALUE4 == 'tn_type6'}selected="selected"{/if}>{'tn_type6'|@translate}</option>
+          <option label="{'tn_type7'|@translate}" value="tn_type7" {if $VALUE4 == 'tn_type7'}selected="selected"{/if}>{'tn_type7'|@translate}</option>
+          <option label="{'tn_type8'|@translate}" value="tn_type8" {if $VALUE4 == 'tn_type8'}selected="selected"{/if}>{'tn_type8'|@translate}</option>
+        </select>
+		<select name="value5" style="widht:30px">
+          <option label="{'tn_none'|@translate}" value="none" {if $VALUE5 == 'tn_none'}selected="selected"{/if}>{'tn_none'|@translate}</option>
+          <option label="{'tn_type1'|@translate}" value="tn_type1" {if $VALUE5 == 'tn_type1'}selected="selected"{/if}>{'tn_type1'|@translate}</option>
+          <option label="{'tn_type2'|@translate}" value="tn_type2" {if $VALUE5 == 'tn_type2'}selected="selected"{/if}>{'tn_type2'|@translate}</option>
+          <option label="{'tn_type3'|@translate}" value="tn_type3" {if $VALUE5 == 'tn_type3'}selected="selected"{/if}>{'tn_type3'|@translate}</option>
+          <option label="{'tn_type4'|@translate}" value="tn_type4" {if $VALUE5 == 'tn_type4'}selected="selected"{/if}>{'tn_type4'|@translate}</option>
+          <option label="{'tn_type5'|@translate}" value="tn_type5" {if $VALUE5 == 'tn_type5'}selected="selected"{/if}>{'tn_type5'|@translate}</option>
+          <option label="{'tn_type6'|@translate}" value="tn_type6" {if $VALUE5 == 'tn_type6'}selected="selected"{/if}>{'tn_type6'|@translate}</option>
+          <option label="{'tn_type7'|@translate}" value="tn_type7" {if $VALUE5 == 'tn_type7'}selected="selected"{/if}>{'tn_type7'|@translate}</option>
+          <option label="{'tn_type8'|@translate}" value="tn_type8" {if $VALUE5 == 'tn_type8'}selected="selected"{/if}>{'tn_type8'|@translate}</option>
+        </select>
+		<select name="value6" style="widht:30px">
+          <option label="{'tn_none'|@translate}" value="none" {if $VALUE6 == 'tn_none'}selected="selected"{/if}>{'tn_none'|@translate}</option>
+          <option label="{'tn_type1'|@translate}" value="tn_type1" {if $VALUE6 == 'tn_type1'}selected="selected"{/if}>{'tn_type1'|@translate}</option>
+          <option label="{'tn_type2'|@translate}" value="tn_type2" {if $VALUE6 == 'tn_type2'}selected="selected"{/if}>{'tn_type2'|@translate}</option>
+          <option label="{'tn_type3'|@translate}" value="tn_type3" {if $VALUE6 == 'tn_type3'}selected="selected"{/if}>{'tn_type3'|@translate}</option>
+          <option label="{'tn_type4'|@translate}" value="tn_type4" {if $VALUE6 == 'tn_type4'}selected="selected"{/if}>{'tn_type4'|@translate}</option>
+          <option label="{'tn_type5'|@translate}" value="tn_type5" {if $VALUE6 == 'tn_type5'}selected="selected"{/if}>{'tn_type5'|@translate}</option>
+          <option label="{'tn_type6'|@translate}" value="tn_type6" {if $VALUE6 == 'tn_type6'}selected="selected"{/if}>{'tn_type6'|@translate}</option>
+          <option label="{'tn_type7'|@translate}" value="tn_type7" {if $VALUE6 == 'tn_type7'}selected="selected"{/if}>{'tn_type7'|@translate}</option>
+          <option label="{'tn_type8'|@translate}" value="tn_type8" {if $VALUE6 == 'tn_type8'}selected="selected"{/if}>{'tn_type8'|@translate}</option>
+        </select>
+    </td>
+  <tr><td>&nbsp;</td></tr>
+  <tr class="name_link">
+     <td align="right" nowrap="nowrap">{'tn_separator'|@translate} : &nbsp;&nbsp;</td>
+    <td><input type="radio" name="separator" {if $SEPARATOR}checked="checked"{/if} value="1"> {'tn_yes'|@translate} &nbsp;
+        <input type="radio" name="separator" {if !$SEPARATOR}checked="checked"{/if} value="0"> {'tn_no'|@translate}
+    </td>
+  </tr>
+  
+  <tr><td>&nbsp;</td></tr>
+</table>
+</fieldset>
+
+<p><input type="submit" name="submit" value="{'Submit'|@translate}" {$TAG_INPUT_ENABLED}>
+<input type="submit" name="restore" value="{'tn_default_parameters'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');" {$TAG_INPUT_ENABLED}></p>
+</form>
+
+<script type="text/javascript">
+if (document.getElementsByName("display_name")[1].checked == true)
+  jQuery('.name_link').hide();
+if (document.getElementsByName("display_arrows")[1].checked == true)
+  jQuery('.all_cat').hide();
+</script>
Index: /extensions/ThumbnailTooltip/admin/config_default.inc.php
===================================================================
--- /extensions/ThumbnailTooltip/admin/config_default.inc.php	(revision 27644)
+++ /extensions/ThumbnailTooltip/admin/config_default.inc.php	(revision 27644)
@@ -0,0 +1,12 @@
+<?php
+$config_default = array(
+  'display_name'       => true,
+  'value1'          => 'tn_type1',
+  'value2'          => 'tn_type8',
+  'value3'          => 'tn_type4',
+  'value4'          => 'none',
+  'value5'          => 'none',
+  'value6'          => 'none',
+  'separator'          => '1',
+);
+?>
Index: /extensions/ThumbnailTooltip/admin/functions.inc.php
===================================================================
--- /extensions/ThumbnailTooltip/admin/functions.inc.php	(revision 27644)
+++ /extensions/ThumbnailTooltip/admin/functions.inc.php	(revision 27644)
@@ -0,0 +1,11 @@
+<?php
+add_event_handler('get_admin_plugin_menu_links', 'thumbnail_tooltip_admin_menu');
+
+function thumbnail_tooltip_admin_menu($menu)
+{
+  array_push($menu, array(
+    'NAME' => 'Thumbnail Tooltip',
+    'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin.php')));
+  return $menu;
+}
+?>
Index: /extensions/ThumbnailTooltip/admin/index.php
===================================================================
--- /extensions/ThumbnailTooltip/admin/index.php	(revision 27644)
+++ /extensions/ThumbnailTooltip/admin/index.php	(revision 27644)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>