Index: /extensions/ThumbnailTooltip/language/en_UK/description.txt
===================================================================
--- /extensions/ThumbnailTooltip/language/en_UK/description.txt	(revision 27646)
+++ /extensions/ThumbnailTooltip/language/en_UK/description.txt	(revision 27646)
@@ -0,0 +1,1 @@
+Allows you to change the tooltip on images in albums
Index: /extensions/ThumbnailTooltip/language/en_UK/index.php
===================================================================
--- /extensions/ThumbnailTooltip/language/en_UK/index.php	(revision 27646)
+++ /extensions/ThumbnailTooltip/language/en_UK/index.php	(revision 27646)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ThumbnailTooltip/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/ThumbnailTooltip/language/en_UK/plugin.lang.php	(revision 27646)
+++ /extensions/ThumbnailTooltip/language/en_UK/plugin.lang.php	(revision 27646)
@@ -0,0 +1,22 @@
+<?php
+$lang['tn_display'] = 'Display';
+$lang['tn_display_name'] = 'Display image title';
+$lang['value1'] = 'Title type';
+$lang['tn_separator'] = 'Separator (-)';
+$lang['tn_none'] = 'None';
+$lang['tn_yes'] = 'Yes';
+$lang['tn_no'] = 'No';
+
+$lang['tn_type1'] = '{title}';
+$lang['tn_type2'] = '{nb_visits}';
+$lang['tn_type3'] = '({nb_visits})';
+$lang['tn_type4'] = '{description}';
+$lang['tn_type5'] = '{Author}';
+$lang['tn_type6'] = 'Auteur : {Author}';
+$lang['tn_type7'] = '{rating_score}';
+$lang['tn_type8'] = '({nb_visits}, {rating_score})';
+
+$lang['tn_configuration_saved'] = 'Configuration saved';
+$lang['tn_default_parameters'] = 'Default configuration';
+$lang['tn_default_parameters_saved'] = 'Default configuration saved';
+?>
Index: /extensions/ThumbnailTooltip/language/fr_FR/description.txt
===================================================================
--- /extensions/ThumbnailTooltip/language/fr_FR/description.txt	(revision 27646)
+++ /extensions/ThumbnailTooltip/language/fr_FR/description.txt	(revision 27646)
@@ -0,0 +1,1 @@
+Permet de changer l'infobulle sur les images dans les albums
Index: /extensions/ThumbnailTooltip/language/fr_FR/index.php
===================================================================
--- /extensions/ThumbnailTooltip/language/fr_FR/index.php	(revision 27646)
+++ /extensions/ThumbnailTooltip/language/fr_FR/index.php	(revision 27646)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ThumbnailTooltip/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/ThumbnailTooltip/language/fr_FR/plugin.lang.php	(revision 27646)
+++ /extensions/ThumbnailTooltip/language/fr_FR/plugin.lang.php	(revision 27646)
@@ -0,0 +1,22 @@
+<?php
+$lang['tn_display'] = 'Affichage';
+$lang['tn_display_name'] = 'Afficher le titre de l\'image';
+$lang['tn_name_link'] = 'Type d\'affichage du titre';
+$lang['tn_separator'] = 'Separateur (-)';
+$lang['tn_none'] = 'Aucun';
+$lang['tn_yes'] = 'Oui';
+$lang['tn_no'] = 'Non';
+
+$lang['tn_type1'] = '{title}';
+$lang['tn_type2'] = '{nb_visits}';
+$lang['tn_type3'] = '({nb_visits})';
+$lang['tn_type4'] = '{description}';
+$lang['tn_type5'] = '{Author}';
+$lang['tn_type6'] = 'Auteur : {Author}';
+$lang['tn_type7'] = '{rating_score}';
+$lang['tn_type8'] = '({nb_visits}, {rating_score})';
+
+$lang['tn_configuration_saved'] = 'Configuration sauvegardée';
+$lang['tn_default_parameters'] = 'Paramètres par défaut';
+$lang['tn_default_parameters_saved'] = 'Paramètres par défaut sauvegardés';
+?>
Index: /extensions/ThumbnailTooltip/language/index.php
===================================================================
--- /extensions/ThumbnailTooltip/language/index.php	(revision 27646)
+++ /extensions/ThumbnailTooltip/language/index.php	(revision 27646)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>