Index: extensions/BatchDownloader/language/pt_BR/plugin.lang.php
===================================================================
--- extensions/BatchDownloader/language/pt_BR/plugin.lang.php	(revision 25955)
+++ extensions/BatchDownloader/language/pt_BR/plugin.lang.php	(revision 27720)
@@ -25,5 +25,5 @@
 $lang['download'] = 'download';
 $lang['hours'] = 'horas';
-$lang['real number of archives can differ'] = 'número real de arquivos que podem diferir';
+$lang['real number of archives can differ'] = 'o número real de arquivos pode ser diferente';
 $lang['Generate ZIP'] = 'Gerar ZIP';
 $lang['Maximum number of photos per download set'] = 'Número máximo de fotos por conjunto de Download';
@@ -38,14 +38,14 @@
 $lang['Set type'] = 'Definir o tipo';
 $lang['Starting download Archive #%d will destroy Archive #%d, be sure you finish the download. Continue ?'] = 'Iniciando Download do Archive #%d vai destruir o Arquivo #%d, certifique-se de terminar o download. Continuar?';
-$lang['The archive is downloading, if the download doesn\'t start automatically please <a href="%s">click here</a>'] = 'O arquivo está sendo baixado, se o download não começar automaticamente, por favor <a href="%s">clique aqui</ a>';
+$lang['The archive is downloading, if the download doesn\'t start automatically please <a href="%s">click here</a>'] = 'O download deve estar em andamento, porém se ele não começou automaticamente, por favor <a href="%s">clique aqui</a>';
 $lang['Total size'] = 'Tamanho total';
 $lang['Unable to find ZipArchive PHP extension, Batch Downloader will use PclZip instead, but with degraded performance.'] = 'Incapaz de encontrar a extensão PHP ZipArchive, o urilitário Batch Downloader usará no lugar PclZip, mas com um pior desempenho.';
 $lang['User collection'] = 'Coleção de usuário';
-$lang['User groups'] = 'Crupos de usuários';
+$lang['User groups'] = 'Grupos de usuários';
 $lang['Warning: ZipArchive doesn\'t accept special characters like accentuated ones, angle quotes (») and non-latin alphabets.'] = 'Aviso: ZipArchive não aceita caracteres especiais, como os acentuados, citações angulares (») e alfabetos não latinos.';
 $lang['Whole gallery'] = 'Toda a galeria';
 $lang['You can not edit this set'] = 'Voce não pode editar esta configuração';
-$lang['<b>Warning:</b> all files will be deleted within %d hours'] = '<b>Aviso:</b> todos os arquivos serão apagados dentro de %d horas';
-$lang['Archive comment'] = 'Arquivar comentário';
+$lang['<b>Warning:</b> all files will be deleted within %d hours'] = '<b>Aviso:</b> todos os arquivos serão apagados em %d horas';
+$lang['Archive comment'] = 'Comentário no arquivo ZIP';
 $lang['Archive prefix'] = 'Prefixo do arquivo';
 $lang['Archives'] = 'Arquivos';
@@ -54,12 +54,12 @@
 $lang['Cancel this set'] = 'Cancelar este conjunto';
 $lang['Confirm the download of %d pictures?'] = 'Confirme o download das imagens %d?';
-$lang['Delete downloads after'] = 'Excluir downloads após';
+$lang['Delete downloads after'] = 'Excluir arquivos após';
 $lang['Delete this set'] = 'Excluir este conjunto';
-$lang['Download all pictures of this selection'] = 'Baixe todas as imagens desta seleção';
-$lang['Download history'] = 'Baixe história';
-$lang['Download info'] = 'Baixar informação de transferência';
-$lang['Download links'] = 'Baixar links';
+$lang['Download all pictures of this selection'] = 'Faça download de todas as imagens desta seleção';
+$lang['Download history'] = 'Histórico de downloads';
+$lang['Download info'] = 'Informações do download';
+$lang['Download links'] = 'Links de download';
 $lang['Download permissions'] = 'Permissões de download';
-$lang['Download set deleted'] = 'Baixe conjunto excluído';
+$lang['Download set deleted'] = 'Conjunto de arquivos excluído';
 $lang['Downloads'] = 'Downloads';
 $lang['Edit the set'] = 'Editar o conjunto';
@@ -73,17 +73,17 @@
 $lang['Archive #%d (pending)'] = 'Arquivo #%d(pendente)';
 $lang['Archive #%d (ready)'] = 'Arquivo #%d(pronto)';
-$lang['Please wait, your download is being prepared. This page will automatically refresh when it is ready.'] = 'Aguarde, o arquivo a ser baixado está sendo preparado. Esta página será atualizada automaticamente quando ele estiver pronto.';
+$lang['Please wait, your download is being prepared. This page will automatically refresh when it is ready.'] = 'Aguarde, o arquivo está sendo preparado. Esta página será atualizada automaticamente quando ele estiver pronto.';
 $lang['Preparation'] = 'Preparação';
 $lang['Sorry, there is nothing to download. Some files may have been excluded because of <i title="Authorized types are : %s">filetype restrictions</i>.'] = 'Desculpe, não há nada para baixar. Alguns arquivos podem ter sido excluídos por causa de <i title="Tipos authorizados são: %s">restrições de tipo de arquivo</i>.';
 $lang['Unknown'] = 'Desconhecido';
-$lang['Force the usage of PclZip instead of ZipArchive as ZIP library'] = 'Obriga à utilização de PclZip no lugar de ZipArchive como biblioteca ZIP';
-$lang['Delete previous archive when starting to download another one'] = 'Excluir arquivo anterior, quando começa a baixar mais um';
-$lang['Don\'t download archives through PHP'] = 'Não faça o download de arquivos através do PHP';
-$lang['It saves space on the server but doesn\'t allow to restart failed downloads.'] = 'Isso economiza espaço no servidor, mas não permite reiniciar baixas de arquivo quando houver falha.';
+$lang['Force the usage of PclZip instead of ZipArchive as ZIP library'] = 'Obriga o uso de PclZip no lugar de ZipArchive como biblioteca ZIP';
+$lang['Delete previous archive when starting to download another one'] = 'Excluir arquivo anterior, quando começa o download do próximo';
+$lang['Don\'t download archives through PHP'] = 'Não faça o download dos arquivos através do PHP';
+$lang['It saves space on the server but doesn\'t allow to restart failed downloads.'] = 'Isso economiza espaço no servidor, mas não permite reiniciar o download do arquivo quando houver falha.';
 $lang['Only check if you are experiencing corrupted archives with ZipArchive.'] = 'Apenas verifique se você está lidando com arquivos corrompidos com o ZipArchive.';
-$lang['Only check if your host complains about high PHP usage.'] = 'Apenas verifique se o seu host reclama com o alto uso de PHP.';
+$lang['Only check if your host complains about high PHP usage.'] = 'Apenas verifique se o seu serviço de hospedagem reclama com o alto uso de PHP.';
 $lang['Any size'] = 'Quaquer tamanho';
 $lang['One size'] = 'Um tamanho';
 $lang['Photo size'] = 'Tamanho da foto';
-$lang['Photo size choices'] = 'Tamanhos de fota para escolher';
+$lang['Photo size choices'] = 'Escolha os tamanhos de foto';
 ?>